Bug 4815 - Поддержка интеловских видеокарт в XFdrake
: Поддержка интеловских видеокарт в XFdrake
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: Andrey Ponomarenko
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-19 23:40 MSK by Eugene Shatokhin
Modified: 2015-03-04 00:26 MSK (History)
4 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2014-12-19 23:40:43 MSK
А то пользователи запускают XFdrake, видят там только VESA и fbdev - это сбивает с толку. 

Не смертельно, но неприятно.

Пара примеров:
http://forum.rosalab.ru/viewtopic.php?f=53&t=4807

Заодно хорошо бы сделать, как с radeon'ом, чтобы PCI IDs поддерживаемых видеокарт брались из вывода modinfo для i915, а не непонятно откуда.
Comment 1 Eugene Shatokhin 2014-12-21 19:51:07 MSK
*** Bug 4489 has been marked as a duplicate of this bug. ***
Comment 2 Andrey Ponomarenko 2014-12-22 00:10:22 MSK
В XFdrake настройка карт Intel в коде игнорируется, и этот код был написан еще до нас. Т.е. XFdrake в принципе не предназначен для настройки этих карт. Кроме VESA и fbdev можно было бы добавить пункт Intel на таких системах, при выборе которого ничего не происходит.
Comment 3 Eugene Shatokhin 2014-12-22 14:33:29 MSK
Одно другому не мешает. Чтобы понять, что в системе видеокарта от Intel, XFdrake всё равно будет запрашивать ldetect, скорее всего. Так что там всё поправить тоже полезно, хотя и не критично: можно и из вывода lspci всё взять, если надо.

Ещё хорошо бы, чтобы при нажатии "Отмена" в XFdrake тот сразу завершался, ничего не делая. Сейчас для этого нужно нажать "Отмена" -> "Далее" -> "Нет". Тоже не так уж критично, но полезно.
Comment 4 Eugene Shatokhin 2015-01-14 19:07:14 MSK
*** Bug 4530 has been marked as a duplicate of this bug. ***
Comment 5 Andrey Ponomarenko 2015-03-04 00:26:23 MSK
Fixed in XFdrake 117: http://bugs.rosalinux.ru/show_bug.cgi?id=5111